<?php

use App\Http\Controllers\FactController;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('welcome');
});

Route::get('/factsList', [FactController::class, 'index']);
Route::get('/deleteFact/{id}', [FactController::class, 'destroy']);
Route::get('/edit/{id}', [FactController::class, 'edit']);
Route::get('/factAlea', [FactController::class, 'factAlea']);

Route::post('/update/{id}', [FactController::class, 'update']);
Route::post('/saveAllFacts', [FactController::class, 'saveAllFacts']);
Route::post('/store', [FactController::class, 'store']);
