/**
 * First we will load all of this project's JavaScript dependencies which
 * includes Vue and other libraries. It is a great starting point when
 * building robust, powerful web applications using Vue and Laravel.
 */

require('./bootstrap');

window.Vue = require('vue');
import Vue from 'vue';
import VueRouter from 'vue-router';
Vue.use(VueRouter );

import List from './components/ListComponent';
import aleaFact from './components/aleaFactComponent';

Vue.component('add-fact', require('./components/newFactComponent.vue').default);
Vue.component('edit-fact', require('./components/editFactComponent.vue').default);

const routes = [
    {
        path:'/',
        component: List,
    },
    {
        path:'/aleaFact',
        component: aleaFact
    }

];

const router = new VueRouter({routes});


const app = new Vue({
    el: '#app',
    router: router,
    methods:{}
});
