<!DOCTYPE html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <title>Dog Facts</title>
    <link rel="stylesheet" href="{{ asset('css/app.css') }}">
    <script src="https://kit.fontawesome.com/2309a3a4ea.js" crossorigin="anonymous"></script>
</head>

<body class="antialiased" style="background:rgba(222, 184, 135, 0.416);">
    <div id="app">
        <div class="d-flex bd-highlight" style="box-shadow: rgb(38, 57, 77) 0px 10px 20px -10px;background-color: rgb(222, 184, 135);">
            <router-link to="/" class="me-auto bd-highlight p-2">
                    <i class="fa-solid fa-paw fa-2xl"></i>
            </router-link>
            <router-link to="/aleaFact" class="me-auto bd-highlight p-2">
                    Fact aléatoirement
            </router-link>
        </div>
        <div class="container">
            <router-view></router-view>
        </div>
    </div>
    <script src="{{ asset('js/app.js') }}"></script>
</body>

</html>
